IPTABLES-SAVE(8)

NAZWA
iptables-save — zrzuca reguły iptables

ip6tables-save — zrzuca reguły iptables

SKŁADNIA
iptables-save [-M modprobe] [-c] [-t tabela] [-f nazwa-pliku]

ip6tables-save [-M modprobe] [-c] [-t tabela] [-f nazwa-pliku]

OPIS

iptables-save i ip6tables-save są używane w celu zrzucenia zawartości tabeli IP lub IPv6 w łatwo przetwarzalnym formacie albo na STDOUT (standardowe wyjście), albo do określonego pliku.

-M, --modprobe modprobe
    Podaje ścieżkę do programu modprobe(8). Domyślnie iptables-save określi ścieżkę do tego programu na podstawie /proc/sys/kernel/modprobe.

-f, --file nazwa-pliku
    Określa nazwę pliku, do którego wypisane zostanie wyjście. Jeśli się go nie poda, iptables-save wybierze standardowe wyjście (STDOUT).

-c, --counters
    Dołącza do wyjścia bieżące wartości wszystkich pakietów i liczników bajtów.

-t, --table nazwa_tabeli
    Ogranicza wyjście tylko do jednej tabeli. Jeśli skonfigurowano jądro z odpowiednim trybem automatycznego ładowania modułów, nastąpi próba załadowania odpowiedniego modułu dla tej tabeli (jeśli jeszcze go nie załadowano).
    Bez tej opcji wyjście obejmuje wszystkie dostępne tabele. Nie następuje wówczas ładowanie modułów, a więc aby dołączyć określoną tabelę w wyjściu, konieczne jest uprzednie załadowanie odpowiedniego modułu (takiego jak iptable_mangle lub ip6table_raw).

USTERKI
Nieznane w wersji iptables-1.2.1

AUTORZY
Harald Welte <laforge@gnumonks.org>
Rusty Russell <rusty@rustcorp.com.au>
Andras Kis-Szabo <kisza@sch.bme.hu> pomagał przy ip6tables-save.

ZOBACZ TAKŻE
iptables-apply(8), iptables-restore(8), iptables(8)

iptables-HOWTO, które zawiera więcej informacji na temat użycia iptables, NAT-HOWTO, które zawiera szczegóły na temat NAT, i netfilter-hacking-HOWTO, które zawiera szczegóły na temat ograniczeń.

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika są: Przemek Borys <pborys@dione.ids.pl>, Robert Luberda <robert@debian.org> i Michał Kułach <michal.kulach@gmail.com>

Niniejsze tłumaczenie jest wolną dokumentacją. Bliższe informacje o warunkach licencji można uzyskać zapoznając się z GNU General Public License w wersji 3 (https://www.gnu.org/licenses/gpl-3.0.html) lub nowszej. Nie przyjmuje się ŻADNEJ ODPOWIEDZIALNOŚCI.

Błędy w tłumaczeniu strony podręcznika prosimy zgłaszać na adres listy dyskusyjnej manpages-pl-list@lists.sourceforge.net.